% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/interface.R
\name{ends}
\alias{ends}
\alias{get.edges}
\alias{get.edge}
\title{Incident vertices of some graph edges}
\usage{
ends(graph, es, names = TRUE)
}
\arguments{
\item{graph}{The input graph}

\item{es}{The sequence of edges to query}

\item{names}{Whether to return vertex names or
numeric vertex ids. By default vertex names are used.}
}
\value{
A two column matrix of vertex names or vertex ids.
}
\description{
Incident vertices of some graph edges
}
\examples{
g <- make_ring(5)
ends(g, E(g))
}
\seealso{
Other structural queries: \code{\link{[.igraph}},
  \code{\link{[[.igraph}}, \code{\link{adjacent_vertices}},
  \code{\link{are_adjacent}}, \code{\link{get.edge.ids}},
  \code{\link{gorder}}, \code{\link{gsize}},
  \code{\link{head_of}}, \code{\link{incident_edges}},
  \code{\link{incident}}, \code{\link{is_directed}},
  \code{\link{neighbors}}, \code{\link{tail_of}}
}
