% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/printr.R
\name{head_print}
\alias{head_print}
\title{Print the only the head of an R object}
\usage{
head_print(x, max_lines = 20, header = "", footer = "",
  omitted_footer = "", ...)
}
\arguments{
\item{x}{The object to print, or a callback function. See
\code{\link{printer_callback}} for details.}

\item{max_lines}{Maximum number of lines to print, \emph{not}
including the header and the footer.}

\item{header}{The header, if a function, then it will be called,
otherwise printed using \code{cat}.}

\item{footer}{The footer, if a function, then it will be called,
otherwise printed using \code{cat}.}

\item{omitted_footer}{Footer that is only printed if anything
is omitted from the printout. If a function, then it will be called,
otherwise printed using \code{cat}.}

\item{...}{Extra arguments to pass to \code{print()}.}
}
\value{
\code{x}, invisibly.
}
\description{
Print the only the head of an R object
}
