% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/interface.R
\name{incident_edges}
\alias{incident_edges}
\title{Incident edges of multiple vertices in a graph}
\usage{
incident_edges(graph, v, mode = c("out", "in", "all", "total"))
}
\arguments{
\item{graph}{Input graph.}

\item{v}{The vertices to query}

\item{mode}{Whether to query outgoing (\sQuote{out}), incoming
(\sQuote{in}) edges, or both types (\sQuote{all}). This is
ignored for undirected graphs.}
}
\value{
A list of edge sequences.
}
\description{
This function is similar to \code{\link{incident}}, but it
queries multiple vertices at once.
}
\examples{
g <- make_graph("Zachary")
incident_edges(g, c(1, 34))
}
\seealso{
Other structural queries: \code{\link{[.igraph}},
  \code{\link{[[.igraph}}, \code{\link{adjacent_vertices}},
  \code{\link{are_adjacent}}, \code{\link{ends}},
  \code{\link{get.edge.ids}}, \code{\link{gorder}},
  \code{\link{gsize}}, \code{\link{head_of}},
  \code{\link{incident}}, \code{\link{is_directed}},
  \code{\link{neighbors}}, \code{\link{tail_of}}
}
