% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/printr.R
\name{printer_callback}
\alias{printer_callback}
\title{Create a printer callback function}
\usage{
printer_callback(fun)
}
\arguments{
\item{fun}{The function to use as a printer callback function.}
}
\description{
A printer callback fucntion is a function can performs the actual
printing. It has a number of subcommands, that are called by
the \code{printer} package, in a form \preformatted{
    printer_callback("subcommand", argument1, argument2, ...)
} See the examples below.
}
\details{
The subcommands:

\describe{
  \item{\code{length}}{The length of the data to print, the number of
    items, in natural units. E.g. for a list of objects, it is the
    number of objects.}
  \item{\code{min_width}}{TODO}
  \item{\code{width}}{Width of one item, if \code{no} items will be
    printed. TODO}
  \item{\code{print}}{Argument: \code{no}. Do the actual printing,
    print \code{no} items.}
  \item{\code{done}}{TODO}
}
}
\seealso{
Other printer callbacks: \code{\link{is_printer_callback}}
}
